Package ru.bgcrm.dao.user

# Class UserPermsetDAO

java.lang.Object
ru.bgcrm.dao.CommonDAO
ru.bgcrm.dao.user.UserDAO
ru.bgcrm.dao.user.UserPermsetDAO

public class UserPermsetDAO extends UserDAO

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bgcrm.dao.CommonDAO

  `CommonDAO.ObjectExtractor<T>, CommonDAO.RecordUpdater<T extends Id>`

- ## Field Summary

  ### Fields inherited from class ru.bgcrm.dao.CommonDAO

  `con, log, SQL_AND, SQL_DELETE, SQL_DELETE_FROM, SQL_DESC, SQL_DISTINCT, SQL_FROM, SQL_GROUP_BY, SQL_INNER_JOIN, SQL_INSERT_IGNORE_INTO, SQL_INSERT_INTO, SQL_LEFT_JOIN, SQL_LIMIT, SQL_ON_DUP_KEY_UPDATE, SQL_ORDER_BY, SQL_REPLACE, SQL_SELECT, SQL_SELECT_ALL_FROM, SQL_SELECT_COUNT_ROWS, SQL_SET, SQL_UNION_ALL, SQL_UPDATE, SQL_VALUES, SQL_VALUES_1, SQL_VALUES_2, SQL_VALUES_3, SQL_VALUES_4, SQL_VALUES_5, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserPermsetDAO(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deletePermset(int id)`
  `Map<Integer,Map<String,ConfigMap>>`
  `getAllPermsets()`
  `Map<String,ConfigMap>`
  `getPermissions(int permsetId)`
  `Permset`
  `getPermsetById(int id)`
  `List<Permset>`
  `getPermsetList()`
  `void`
  `replacePermissions(int fromPermsetId, int toPermsetId)`
  `void`
  `searchPermset(Pageable<Permset> searchResult)`
  `void`
  `searchPermset(Pageable<Permset> searchResult, String filterLike)`
  `void`
  `updatePermissions(Set<String> action, Set<String> config, int permsetId)`
  `void`
  `updatePermset(Permset userGroup)`

  ### Methods inherited from class ru.bgcrm.dao.user.UserDAO

  `addUserGroup, closeUserGroupPeriod, deleteUser, getAllPermissions, getAllUserGroupIds, getAllUserGroups, getAllUserPerm, getAllUserPermsetIds, getAllUserQueueIds, getPageLimit, getUser, getUserByLogin, getUserGroupIds, getUserGroupList, getUserList, getUserList, getUserList, getUserList, getUserList, getUserPermsetIds, getUserQueueIds, removeUserGroup, searchUser, searchUserListByEmail, updatePermissions, updatePersonalization, updatePersonalization, updateUser, updateUser, updateUserGroups`

  ### Methods inherited from class ru.bgcrm.dao.CommonDAO

  `deleteById, foundRows, getById, getGroupedIds, getGroupedIds, getIds, getIds, getPeriodSql, lastInsertId, setPeriodParamValue, setRecordCount, update, updateColumn, updateIds, updateIds, updateOrInsert`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UserPermsetDAO

    public UserPermsetDAO(Connection con)

- ## Method Details

  - ### searchPermset

    public void searchPermset(Pageable<Permset> searchResult)

  - ### searchPermset

    public void searchPermset(Pageable<Permset> searchResult, String filterLike)

  - ### getPermsetList

    public List<Permset> getPermsetList()

  - ### getPermsetById

    public Permset getPermsetById(int id)

  - ### deletePermset

    public void deletePermset(int id) throws SQLException
    Throws:
      `SQLException`

  - ### updatePermset

    public void updatePermset(Permset userGroup)

  - ### getAllPermsets

    public Map<Integer,Map<String,ConfigMap>> getAllPermsets() throws SQLException
    Throws:
      `SQLException`

  - ### updatePermissions

    public void updatePermissions(Set<String> action, Set<String> config, int permsetId) throws SQLException
    Overrides:
      `updatePermissions` in class `UserDAO`
    Throws:
      `SQLException`

  - ### getPermissions

    public Map<String,ConfigMap> getPermissions(int permsetId)
    Overrides:
      `getPermissions` in class `UserDAO`

  - ### replacePermissions

    public void replacePermissions(int fromPermsetId, int toPermsetId)